stages:
  - test
  - deploy

Coverage:
  image: python:3.6
  stage: test
  before_script:
    - pip install -r requirements.txt
    - python manage.py makemigrations storyenam
    - python manage.py migrate storyenam
  when: on_success
  script:
    - coverage run --source='./storyenam/' manage.py test storyenam
    - coverage report -m

Deployment:
  image: ruby:2.4
  stage: deploy
  before_script:
    - gem install dpl
    - wget -qO- https://cli-assets.heroku.com/install-ubuntu.sh | sh
  script:
    - dpl --provider=heroku --app=$HEROKU_APPNAME --api-key=$HEROKU_APIKEY
    - export HEROKU_API_KEY=$HEROKU_APIKEY
    - heroku run --app $HEROKU_APPNAME python manage.py migrate
  environment:
    name: production
    url: $HEROKU_APP_HOST